Subject: [JAGNUTS] Sorry Murray !

From: "Bob" <[email-masked]>
Date: Sun, 12 Dec 2010 12:16:37 -0600

Murray very kindly asked me (again) this morning to put his name on our
mailing list (he first asked several months ago).  Well, I did add what I
thought was Murray's address to the mailing list a while back, but obviously
my undiagnosed dyslexia struck again.  I'm not sure who has been receiving
the list emails meant for Murray, but they have politely declined to make a
fuss.

Anyways, sorry Murray, I think I have your address right now!

Bob 

 <http://nonprofits.accesscomm.ca/jagnuts/Jagnuts.htm>
http://nonprofits.accesscomm.ca/jagnuts/Jagnuts.htm